<?php
include ("ust.php");
session_start(); ## -> Oturum Başlatıldı
$giris_kontrol = $_SESSION['kullanici_id']; if(empty($giris_kontrol)){echo '<meta http-equiv="refresh" content="0;URL=index.php">';}else{

$kategori = g("kategori");
$dilgoster = g("dilgoster");
if(empty($dilgoster)){}else{$d_k_d = "&dilgoster=$dilgoster";}

## -> Silme İşlemi
$sil = g('sil');
switch($sil){
case "sil":

// İşlem Kayıt Modülü
$islemk_islem = "Bir fiyat tablosu silindi";
include("moduller/islemkayit_modul.php");

$id = g('id'); $id = mysql_real_escape_string($id);
$dosyabul=mysql_query("SELECT * FROM fiyattablosu WHERE id='$id'"); 
$getir2=mysql_fetch_array($dosyabul); 
$resim = $getir2['resim'];
unlink('../'.$resim.'');
$sil = mysql_query("delete from fiyattablosu where id='$id'") or die("Hata Olustu!");
if($sil){echo '<meta http-equiv="refresh" content="0;URL=fiyattablosu.php?durum=duzenleme-basarili&kategori='.$kategori.'"> ';}
}
## ->  Silme İşlemi

$icerik_getir=mysql_query("SELECT * FROM diller WHERE id='$dilgoster'"); 
$getir=mysql_fetch_array($icerik_getir); 
$dil_g_u_baslik = $getir['baslik'];

$modul_getir=mysql_query("SELECT * FROM moduller WHERE modul_adi='fiyattablosu'"); 
$getir=mysql_fetch_array($modul_getir); 
$modul_durum = $getir['modul_durum'];
$modul_asayfa = $getir['modul_asayfa'];
$modul_v1 = $getir['modul_v1'];
$modul_v2 = $getir['modul_v2'];

?>				 <link href="assets/plugins/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">
				<link rel="stylesheet" href="assets/plugins/html5-editor/bootstrap-wysihtml5.css" />
				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
				<script src="core/dragon/jquery-1.11.2.js" type="text/javascript"></script>
				<script type="text/javascript" src="core/dragon/jquery-ui.js"></script>
				
				<div class="container-fluid">
              
				<?php // Bakım modu aktif ise tüm sayfalarda bakım uyarısı verir.
				if($geayar_bakim == "evet"){include("moduller/bakim-modul.php");} ?>
		
                <div class="row">
                <div class="col-12">

				<?php $durum = g('durum'); if($durum == "duzenleme-basarili") { ?>
				<div class="alert alert-success"> <i class="fa fa-check"></i> İşlem başarıyla gerçekleştirildi
				<button type="button" class="close" data-dismiss="alert" aria-label="Close"> </button>
				</div>
				<?php } ?>
				
				
                <div class="card">
                <div class="card-body">
				<div class="col-md-12">
				<div class="row">		
				<div class="col-md-8">
				<h4 class="card-title"><?php if(empty($dilgoster)){ echo "Türkçe";}else{ echo "$dil_g_u_baslik";}?> Fiyat Tablosu Yönetimi <h4>
                <h6 class="card-subtitle">Bu alandan sitenizde bulunan fiyat tablolarını kolaylıkla yönetebilirsiniz</h6>
				</div>
				<div class="col-md-4">
				<?php 
				$islem = g("islem");
				if(empty($islem)){?>
		
				
				<a href="fiyattablosu.php?islem=yeni&kategori=<?php echo $kategori;?>"  style="float:right;margin-left:10px;">
				<button type="button" class="btn waves-effect waves-light btn-primary" style="float:right;">
				<i class="fa fa-plus-circle"></i> Oluştur
				</button>
				</a>
				
				<a href="paket_kategori.php">
				<button type="button" class="btn waves-effect waves-light btn-danger" style="float:right;">
				<i class="fa fa-arrow-left"></i> Geri Dön
				</button>
				</a>
				
				
				<?php }else{ ?>
				<a href="fiyattablosu.php?kategori=<?php echo $kategori;?>">
				<button type="button" class="btn waves-effect waves-light btn-danger" style="float:right;">
				<i class="fa fa-times"></i> İptal
				</button>
				</a>
				<?php } ?>
				</div>
				</div>
				</div>
                
				
				
				
				
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->



				<?php if($islem == "yeni"){?>
				
				<?php 
				## -> Yeni İçerik Ekleme
				$ileri = g('ileri');
				$kategori = g('kategori');
				switch($ileri){
				case "ekle":

				$rastgele = rand(1000,9999);
				$posted = "resim";
				$baslik = p('baslik');
				$icerik = $_POST["icerik"];
				$goruntuleme = p('goruntuleme');
				$gizlinot = p('gizlinot');
				$seo_baslik = seo($baslik);
				$seo_url = $seo_baslik;
				$seo_url2 = "$seo_baslik"."-$rastgele";
				$seo_anahtarkelime = p('seo_anahtarkelime');
				$seo_aciklama = p('seo_aciklama');
				
				$icerik_getir=mysql_query("SELECT * FROM paket_kategori WHERE id='$kategori'"); 
				$getir3=mysql_fetch_array($icerik_getir); 
				$veri_dil = $getir3['veri_dil'];
				$m4 = p('m4');
				$m5 = p('m5');
				$m6 = p('m6');
				$m7 = p('m7');
				$m8 = p('m8');
				$m9 = addslashes($_POST["m9"]);
				$m10 = p('m10');
				$m11 = p('m11');
				$m12 = p('m12');
				$m13 = p('m13');
				$m14 = p('m14');
				$m15 = $kategori;
				$ekleyen = "$yonetici_kullanici_adi";
				$tarih = date('d.m.Y');

				// İşlem Kayıt Modülü
				$islemk_islem = "$baslik sayfası oluşturuldu";
				include("moduller/islemkayit_modul.php");

				$ekle_veri = mysql_query("INSERT INTO fiyattablosu (baslik,icerik,goruntuleme,seo_url,seo_anahtarkelime,seo_aciklama,veri_dil,ekleyen,tarih,resim,gizlinot,icerik_durum,m4,m5,m6,m7,m8,m9,m10,m11,m12,m13,m14,m15)VALUES('$baslik','$icerik','$goruntuleme','$seo_url','$seo_anahtarkelime','$seo_aciklama','$veri_dil','$ekleyen','$tarih','$resim','$gizlinot','$icerik_durum','$m4','$m5','$m6','$m7','$m8','$m9','$m10','$m11','$m12','$m13','$m14','$m15')");

				if($ekle_veri){echo '<meta http-equiv="refresh" content="0;URL=fiyattablosu.php?durum=duzenleme-basarili&kategori='.$kategori.'"> '; }
				else{ echo '<meta http-equiv="refresh" content="0;URL=fiyattablosu.php?durum=hata"> '; }
				break;
				}
				## -> Yeni İçerik Ekleme
				
				?>	
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white">Yeni Paket Ekle</h4>
				
                </div>
				<form action="fiyattablosu.php?islem=yeni&ileri=ekle&kategori=<?php echo $kategori;?>" method="post" enctype="multipart/form-data">
		
				<div class="row p-t-20">
				<div class="col-md-12">
				<div class="col-md-12">
				<div class="row">
				
                <div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Başlığı</label>
                <input type="text" name="baslik" class="form-control" value="<?php echo "$baslik";?>" required>
                <small class="form-control-feedback"> Paketinizin başlığını giriniz. </small> </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Alt Açıklaması</label>
                <input type="text" name="m4" class="form-control" value="<?php echo "$m4";?>">
				<small class="form-control-feedback"> Paketin altında gösterilecek kısa açıklamayı giriniz.</small> 
                </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Fiyatını Giriniz</label>
                <input type="text" name="m5" class="form-control" value="<?php echo "$m5";?>">
				<small class="form-control-feedback"> Sadece rakam, Örneğin: 5 </small>
                </div>
                </div>
				
				<?php if($modul_v1 == "evet"){?>
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Süresini Giriniz</label>
                <input type="text" name="m6" class="form-control" value="<?php echo "$m6";?>">
				<small class="form-control-feedback"> Örneğin; haftalık,aylık, yıllık, tek sefer gibi </small>
                </div>
                </div>
				<?php } ?>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Pakette Gösterilecek Bant Yazısı</label>
				<input type="text" name="m7" value="<?php echo $m7;?>" class="form-control">
				<small class="form-control-feedback"> Boş bırakırsanız bant gösterilmez. </small>
                </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Bant Rengi</label><br>
				<input type="color" name="m8" value="<?php echo $m8;?>"><br>
				<small class="form-control-feedback"> Boş bırakırsanız bant gösterilmez. </small>
                </div>
                </div>
				
				<div class="col-md-12">
                <div class="form-group has-success">
                <label class="control-label">Paket İçeriği</label>
                <textarea id="mymce" name="m9">Paket içeriğinizi bu alana yazabilirsiniz. Bu editör ile paket içerinizin görünümünü güzel bir hale getirebilirsiniz.</textarea>
				</div>
                </div>
			
				
				</div>
				</div>
				</div>
				</div>
                
                
                </div>
				
                <div class="card-body">
             
                <div class="form-actions">
                <?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Kaydet</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Kaydet</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->
				
				
				
				
				
				
				
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->


				<?php 
				$ileri = g('ileri');
				$id = g('id');
				$kategori = g('kategori');
				switch($ileri){
				case "duzenle":

				$posted = "resim";
				$baslik = p('baslik');
				$icerik1 = $_POST["icerik"];
				$icerik = addslashes($icerik1);
				$seo_baslik = seo($baslik);
				$rastgele = rand(1000,9999);
				$seo_url = $seo_baslik;
				$seo_url2 = "$seo_baslik"."-$rastgele";
				$seo_anahtarkelime = p('seo_anahtarkelime');
				$seo_aciklama = p('seo_aciklama');
				$veri_dil = p('veri_dil');
				$ekleyen = "$yonetici_kullanici_adi";
				$goruntuleme = p('goruntuleme');
				$gizlinot = p('gizlinot');
				$icerik_durum = p('icerik_durum');
				$m4 = p('m4');
				$m5 = p('m5');
				$m6 = p('m6');
				$m7 = p('m7');
				$m8 = p('m8');
				$m9 = addslashes($_POST["m9"]);
				$m10 = p('m10');
				$m11 = p('m11');
				$m12 = p('m12');
				$m13 = p('m13');
				$m14 = p('m14');
 
				// İşlem Kayıt Modülü
				$islemk_islem = "$baslik fiyat tablosu düzenlendi";
				include("moduller/islemkayit_modul.php");

		


				$duzenle = mysql_query("update fiyattablosu set 
				baslik='$baslik',
				icerik='$icerik',
				seo_url='$seo_url',
				seo_anahtarkelime='$seo_anahtarkelime',
				seo_aciklama='$seo_aciklama',
				goruntuleme='$goruntuleme',
				gizlinot='$gizlinot',
				icerik_durum='$icerik_durum',
				m4='$m4',
				m5='$m5',
				m6='$m6',
				m7='$m7',
				m8='$m8',
				m9='$m9',
				m10='$m10',
				m11='$m11',
				m12='$m12',
				m13='$m13',
				m14='$m14'
				where id='$id'") or die("Hata Olustu!");	
			

				echo '<meta http-equiv="refresh" content="0;URL=fiyattablosu.php?kategori='.$kategori.'&durum=duzenleme-basarili'.$d_k_d.'"> ';
				break;
				}
				?>	



				<?php if($islem == "duzenle"){?>
				
				<?php 
				// Seçilen içeriğin detaylarını getiriyoruz
				$idal = g("id");
				$icerik_getir=mysql_query("SELECT * FROM fiyattablosu WHERE id='$idal'"); 
				$getir=mysql_fetch_array($icerik_getir); 
				$baslik = $getir['baslik'];
				$icerik = $getir['icerik'];
				$seo_anahtarkelime = $getir['seo_anahtarkelime'];
				$seo_aciklama = $getir['seo_aciklama'];
				$resim = $getir['resim'];
				$veri_dil = $getir['veri_dil'];
				$goruntuleme = $getir['goruntuleme'];
				$gizlinot = $getir['gizlinot'];
				$icerik_durum = $getir['icerik_durum'];
				$m4 = $getir['m4'];
				$m5 = $getir['m5'];
				$m6 = $getir['m6'];
				$m7 = $getir['m7'];
				$m8 = $getir['m8'];
				$m9 = $getir['m9'];
				$m10 = $getir['m10'];
				$m11 = $getir['m11'];
				$m12 = $getir['m12'];
				$m13 = $getir['m13'];
				$m14 = $getir['m14'];
				$m15 = $getir['m15'];
				
				?>
			
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white"><?php echo "$baslik - Paketini düzenle";?></h4>
				
                </div>
				<form action="fiyattablosu.php?islem=yeni&ileri=duzenle&id=<?php echo "$idal$d_k_d";?>&kategori=<?php echo $kategori;?>" method="post" enctype="multipart/form-data">
				
				<div class="row p-t-20">
				<div class="col-md-12">
				<div class="col-md-12">
				<div class="row">
				
                <div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Başlığı</label>
                <input type="text" name="baslik" class="form-control" value="<?php echo "$baslik";?>" required>
                <small class="form-control-feedback"> Paketinizin başlığını giriniz. </small> </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Alt Açıklaması</label>
                <input type="text" name="m4" class="form-control" value="<?php echo "$m4";?>">
				<small class="form-control-feedback"> Paketin altında gösterilecek kısa açıklamayı giriniz.</small> 
                </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Fiyatını Giriniz</label>
                <input type="text" name="m5" class="form-control" value="<?php echo "$m5";?>">
				<small class="form-control-feedback"> Sadece rakam, Örneğin: 5 </small>
                </div>
                </div>
				
				<?php if($modul_v1 == "evet"){?>
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Paket Süresini Giriniz</label>
                <input type="text" name="m6" class="form-control" value="<?php echo "$m6";?>">
				<small class="form-control-feedback"> Örneğin; haftalık,aylık, yıllık, tek sefer gibi </small>
                </div>
                </div>
				<?php } ?>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Pakette Gösterilecek Bant Yazısı</label>
				<input type="text" name="m7" value="<?php echo $m7;?>" class="form-control">
				<small class="form-control-feedback"> Boş bırakırsanız bant gösterilmez. </small>
                </div>
                </div>
				
				<div class="col-md-6">
                <div class="form-group">
                <label class="control-label">Bant Rengi</label><br>
				<input type="color" name="m8" value="<?php echo $m8;?>"><br>
				<small class="form-control-feedback"> Boş bırakırsanız bant gösterilmez. </small>
                </div>
                </div>
				
				<div class="col-md-12">
                <div class="form-group has-success">
                <label class="control-label">Paket İçeriği</label>
                <textarea id="mymce" name="m9"><?php echo $m9;?></textarea>
				</div>
                </div>
			
				
				</div>
				</div>
				</div>
				</div>
                
				</div>
				
                </div>
				
				
				
                <div class="card-body">
              
                <div class="form-actions">
                <?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Güncelle</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Güncelle</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->				
				
				
				
				<?php if(empty($islem)){?>
				<div class="table-responsive">
                <table class="table">
                <thead>
                <tr>
                <th>Sıra</th>
                <th>Başlık</th>
                <th>Fiyat</th>
                <th>Tarih</th>
                <th>Ekleyen</th>
                <th>İşlemler</th>
                </tr>
                </thead>
				<tbody id="sortable">
				<?php
				$kategori = g("kategori");
				$dilgoster = g("dilgoster");
				if(empty($dilgoster)){ $sayfalar_al = mysql_query("SELECT * FROM fiyattablosu WHERE veri_dil='1' AND m15='$kategori' ORDER BY paket_sira ASC limit 0,999");}else{
				$sayfalar_al = mysql_query("SELECT * FROM fiyattablosu WHERE veri_dil='$dilgoster' AND m15='$kategori' ORDER BY paket_sira ASC limit 0,999");}
				while($yaz=mysql_fetch_array($sayfalar_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				$goruntuleme = $yaz['goruntuleme'];
				$tarih = $yaz['tarih'];
				$ekleyen = $yaz['ekleyen'];
				$m5 = $yaz['m5'];
				echo "
				<tr id='item-$id'>
				<td class='sortable'><i class='fa fa-sort'></i></td>
                <td>$baslik</td>
                <td>$m5</td>
                <td>$tarih</td>
                <td>$ekleyen</td>
                <td>
				<a href='fiyattablosu.php?kategori=$kategori&islem=duzenle&id=$id$d_k_d'> <button class='btn btn-info btn-sm' title='Düzenle'><i class='fa fa-pencil-square-o' aria-hidden='true'></i></button></a> 
				"; if($kontrol_kullanici_yetki == "1"){echo "<a href='#' data-toggle='modal' data-target='#sil-modal$id'>";}else{echo "<a href='#' data-toggle='modal' data-target='#uyari-modal'>";}echo"<button class='btn btn-danger btn-sm' title='Sil'><i class='fa fa-trash-o' aria-hidden='true'></i></button>
				</td>
                </tr>
				";
				}?>
                
                <?php
				$sil_m_al = mysql_query("SELECT * FROM fiyattablosu ORDER BY id DESC limit 0,999");
				while($yaz=mysql_fetch_array($sil_m_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];	
			
				echo '
			
				<div id="sil-modal'.$id.'" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-times" aria-hidden="true"></i> '.$baslik.' paketini sil</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<div class="modal-body">
				<p>'.$baslik.' paketini gerçekten silmek istiyormusunuz ?</p>
				</div>
				<div class="modal-footer">
				<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Hayır</button>
				<a href="fiyattablosu.php?sil=sil&id='.$id.''.$d_k_d.'&kategori='.$kategori.'"><button type="button" class="btn btn-danger waves-effect waves-light">Evet</button></a>
				</div>
				</div>
				</div>
				</div>
				';
				}?>   
				
                </tbody>
                </table>
                </div>
				
				
		<style type="text/css">
		.sortable { cursor: move; }
		</style>
		<script type="text/javascript">
		$(function() {
		$( "#sortable" ).sortable({
		
		
		revert: true,
		handle: ".sortable",
		stop: function (event, ui) {
		var data = $(this).sortable('serialize');
		<?php if($kontrol_kullanici_yetki == "1"){}else{?>
		swal({   
		title: "Demo Kullanıcı",   
		text: "Sistemi demo olarak incelendiğiniz için sıralama kayıt edilmeyecek.",   
		type: "warning",   
	
        }, );
		<?php } ?>
		$.ajax({
		type: "POST",
		dataType: "json",
		data: data,
		<?php if($kontrol_kullanici_yetki == "1"){?>url: "core/package-ranking.php?p=sirala",<?php } ?>
		success: function(msg){

		}
		});	                      				
		}
		});
		$( "#sortable" ).disableSelection();	                      		
		});	                      	
		</script>
		
				<?php } ?>				
								
    
                </div>
                </div>
				</div>
                </div>
				</div>


	
<?php
include ("alt.php");
}
?>